from django.http import HttpResponse, HttpResponseRedirect
from django.views.generic.simple import direct_to_template
from django.shortcuts import get_object_or_404
from django.utils import simplejson
from polling.fb.helpers import *
from polling.core.models import *
from polling.core.forms import *


def list(request):
    add_fb_instance(request)
    redirect = require_fb_login(request)
    if redirect is not None: return redirect
    user = get_fb_user(request.facebook)
    polls = Poll.objects.all()
    return direct_to_template(request, 'fb/list.fbml',
                              extra_context={'user':user,
                                             'polls':polls,})



def detail(request, id):
    add_fb_instance(request)
    redirect = require_fb_login(request)
    if redirect is not None: return redirect
    user = get_fb_user(request.facebook)
    poll = Poll.objects.get(pk=id)
    return direct_to_template(request, 'fb/detail.fbml',
                              extra_context={'user':user,
                                             'poll':poll,})


def create(request):
    add_fb_instance(request)
    redirect = require_fb_login(request)
    if redirect is not None: return redirect
    user = get_fb_user(request.facebook)
    post = request.POST
    if request.method=='POST' and post.has_key('question'):
        form = PollForm(post)
        if form.is_valid():
            question = form.cleaned_data['question']
            poll = Poll(question=question)
            poll.creator = user
            poll.save()
            return HttpResponseRedirect('../')
    else:
        form = PollForm()
    return direct_to_template(request, 'fb/create.fbml',
                              extra_context={'user':user,
                                             'form':form,})
